Bluetooth® for Microsoft® Windows® Help

Introduction

Basic Operations

Specifying How Bluetooth Technology Works on Your Computer

How to Use Bluetooth

Troubleshooting

LICENSED SOFTWARE

© 2005 by Broadcom Corporation. All rights reserved.

Confidential and Proprietary Information: This document and the software are proprietary properties of Broadcom Corporation. This software package may only be used in accordance with the Broadcom Corporation license agreement.

Trademarks

Broadcom®, the pulse logo, Connecting everything®, and the Connecting everything logo are among the trademarks of Broadcom Corporation and/or its affiliates in the United States, certain other countries, and/or the EU. Microsoft® and Windows® are trademarks of Microsoft Corporation. Bluetooth® is a trademark of the Bluetooth SIG. Any other trademarks mentioned are the property of their respective owners.

October 2005, 1000BTW-Help102-R


Introduction

Bluetooth Networking Overview

Using Bluetooth Tools

Supported Operating Systems

Status of Devices and Services


Bluetooth Networking Overview

Bluetooth® wireless technology allows short-range (within a distance of 10 meters) communication among Bluetooth enabled devices, eliminating the need for cables. When connected, one device can use or be used by the other, as specified by the user.

Because Bluetooth communications are broadcast over the air, Bluetooth communications can be set to use encryption to protect against others intercepting sensitive data. Typical Bluetooth enabled devices include:

  • Human interface devices such as a mouse or keyboard
  • Computers (desktop, notebook, PDA, for example)
  • Imaging devices (printers, scanners, and cameras)
  • Printers
  • Audio devices
  • Network access points
  • Telephones
  • Fax machines

Examples of how one Bluetooth device can use or be used by another Bluetooth device are:

  • Using a wireless mouse, keyboard, or game controller
  • Listening to or playing audio
  • Exchanging files and business cards
  • Synchronizing Personal Information Manager databases
  • Connecting to the Internet
  • Printing or sending a fax

To begin using your Bluetooth enabled computer for specific tasks, see How to Use Bluetooth.

To change the default settings that control how Bluetooth works on your computer, see Specifying How Bluetooth Technology Works on Your Computer.

To learn about available Bluetooth tools and how to use them, see Using Bluetooth Tools.

If you are having difficulty using Bluetooth, see Troubleshooting.

To learn more about Bluetooth functionality in general, see Basic Operations.


Using Bluetooth Tools

Most of the following Bluetooth tools and controls are available on your computer:

  • My Bluetooth Places - My Bluetooth Places provides fast access to Bluetooth tasks and other places of potential interest. When you use the services provided by other Bluetooth devices, shortcuts to these services are automatically placed here. Shortcuts comprise the service icon and the name of the service. The status of the connection to the service is indicated both by the appearance of the icon and the description shown under Comments (see Status of Devices and Services).
  • Bluetooth Setup Wizard - The Bluetooth Setup Wizard enables you to easily do the following:
· Find another Bluetooth device to use
· Specify how to use the other device
· Specify how other devices can use this computer
· Assign a name and device type that this computer broadcasts to other devices
  • Bluetooth Configuration - Bluetooth Configuration enables you to change the default settings that control how Bluetooth works on your computer. See Specifying How Bluetooth Technology Works on Your Computer for a detailed description.
  • Quick Connect - Quick Connect is another tool that enables you to start using the service of another Bluetooth device. If you have used the service before, Quick Connect enables you to immediately connect to that service. If you have not used the service before, you must find the devices that provide the service. For instructions, see Making a Quick Connection.
  • Start/Stop the Bluetooth Device - This control (if available) allows you to turn the Bluetooth radio on or off when you are using your computer in a location that prohibits the operation of radio devices, such as on board a commercial aircraft. To use this control, see Start/Stop the Bluetooth Wireless Adapter. If this control is not available on your computer, refer to the manual that came with your computer for instructions on how to turn the Bluetooth radio on and off. Typically, the radio is turned on and off with a hardware switch or by using a software utility.

To access Bluetooth tools and controls

Right-click the Bluetooth icon [image] in the taskbar notification area.

Besides providing access to Bluetooth tools and controls, the Bluetooth icon in the taskbar notification area also indicates the general status of the Bluetooth wireless adapter:

The adapter is working and the radio is on.

The adapter is either not working or the radio is off.

The adapter is working and this computer is connected to another Bluetooth device.


Supported Operating Systems

The Bluetooth wireless adapter supports the following operating systems:

  • Windows XP
  • Windows XP Professional, x64 Edition
  • Windows 2000
  • Windows Me
  • Windows 98, Second Edition

The instructions in this document are based on using the Bluetooth wireless adapter in a computer running Windows XP.


Status of Devices and Services

The type and status of Bluetooth devices and the services they provide are indicated by the icons that are displayed in My Bluetooth Places, My Device, and Entire Bluetooth Neighborhood.

NOTE: To view status information, the device name, and additional information in My Bluetooth Places, My Device, Entire Bluetooth Neighborhood, respectively, click the View arrow in the toolbar, and then click Details.


Device Icons

Type of Device
Icon Indicating Device Type and State
Normal
Connected
Paired
Audio Gateway

Headphones

Camera

Desktop Computer

Headset

Keyboard

Mouse

Modem

Network Access Point

Notebook Computer

Personal Digital Assistant

Printer

Telephone

Unknown Device


Service Icons

Type of Service
Icon Indicating Device Type and Availability of Service and Service Status
Normal
Connected
Not Available1
Audio Gateway

Headphones

Headset

File Transfer

Bluetooth Imaging

Network Access

PIM Item Transfer

PIM Synchronization

Dial-up Networking

Printer

Bluetooth Serial Port

Fax

1A service may be unavailable because it is in use or because the device providing the service is not available or in range.


Basic Operations

Terminology

Finding Bluetooth Devices

Viewing My Bluetooth Services

Making a Quick Connection


Terminology

Bluetooth Exchange Folder

The highest-level folder to which another Bluetooth device has access. Devices that have been granted access to a Bluetooth Exchange Folder also have access to all subfolders contained within that folder and all files in those subfolders.

CAUTION! By default, the Bluetooth Exchange Folder is placed in My Documents. If you relocate the Bluetooth Exchange Folder, do not place it in a root or system folder. Relocating the Bluetooth Exchange Folder to a root or system folder enables remote devices to harm the operating system on your computer.

The Bluetooth Exchange Folder is shared by the PIM Item Transfer and the File Transfer services. The location of the folder can be specified from the Properties page of either of these services. If you change the location of the Bluetooth Exchange Folder for one of these services, the path is automatically updated for the other service.
The Bluetooth Imaging service also uses this folder to store received images.
authentication
A Bluetooth security feature that is used to verify identity. During the initial authentication process, the Bluetooth device that initiates the connection requires the remote device to supply a Bluetooth PIN code.
BDA
Bluetooth Device Address (assigned by the manufacturer).
Bluetooth wireless technology
Bluetooth® wireless technology allows short-range (within a distance of 10 meters) communication among Bluetooth enabled devices, eliminating the need for cables. When connected, one device can use or be used by the other, as specified by the user.
Bluetooth security code
An alphanumeric string up to 16 characters long that is typed to respond to a Bluetooth PIN Code Request. Also referred to as a passkey, password, passcode or PIN code.
Client Applications
Software applications on this computer that allow this computer to use the Bluetooth services that are provided by remote Bluetooth devices.
Bluetooth device
Bluetooth enabled hardware such as a computer, printer, fax, mouse, keyboard, telephone, headset, headphones, camera, or PDA.
Dynamic Host Control Protocol
A protocol used by a server to assign an Internet Protocol (IP) address to a connecting device.
encryption
Encryption translates data into an unreadable format using a secret key or password. Decrypting the data requires the same key or password that was used to encrypt it.
HCI
Host Controller Interface.
HID
human interface device. A mouse or keyboard, for example.
link key
An internally generated unique security key that is exchanged by paired devices as proof of identity before a connection is established. Link keys are generated automatically when two devices pair.
Local Services
Bluetooth services such as Headset, Headphones, Audio Gateway, File Transfer, and Printer that this computer provides to other Bluetooth devices. Bluetooth services are used to carry out actions between a program installed on your computer and a remote Bluetooth device.
My Bluetooth services
See Local Services.
paired devices
Bluetooth devices must be paired before they can establish a secure (authenticated and encrypted) connection. Paired devices share a unique link key, which is exchanged automatically each time they connect.
PDA
personal digital assistant.
PIM
Personal Information Manager. An application, such as Microsoft® Outlook®, that is used to manage contacts, send and receive e-mail, and schedule events and tasks.
Secure connection
A Bluetooth service or application property setting that requires a passkey or link key each time you attempt to make a connection. All data exchanged over the Bluetooth connection is encrypted. Depending on other configuration options, authorization may also be required.
shortcut
An icon that provides quick access to frequently used programs, files, folders, and drives. Double-clicking such an icon opens its corresponding folder or file without first having to find it. Shortcut icons do not change the location of files; they simply link to the file wherever it is located. You can delete a shortcut without deleting the file with which it is associated. Also, you can rename a shortcut.
taskbar notification area
The area on the Windows taskbar that displays the time and can also contain shortcuts that provide quick access to programs. This is where the Bluetooth icon [image] is located.


Finding Bluetooth Devices

To find all Bluetooth devices that are in range

  1. Open My Bluetooth Places.
  2. Click View devices in range.

To find a specific Bluetooth device

  1. Open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard
  3. Click I want to find a specific Bluetooth device and configure how this computer will use its services.


Viewing My Bluetooth Services

Bluetooth services are used to carry out actions between a program installed on your computer and a remote Bluetooth device. The Bluetooth services that are installed on this computer are known as My Bluetooth services, and they are listed in My Device. See also Managing Bluetooth Devices and Services.

To view My Bluetooth services

  1. Open My Bluetooth Places.
  2. Click View My Bluetooth services.


Making a Quick Connection

To make a quick connection, right-click the Bluetooth icon [image] in the taskbar notification area, point to Quick Connect, point to the name of the service you want to use, and then click the name of the device that provides the service.


Start/Stop the Bluetooth Wireless Adapter

To start or stop the Bluetooth wireless adapter, right-click the Bluetooth icon [image] in the taskbar notification area, and then click either Start the Bluetooth Device or Stop the Bluetooth Device. The command that is available depends on the current state of the Bluetooth adapter.

If this control is not available on your computer, refer to the manual that came with your computer for instructions on how to turn the Bluetooth radio on and off. Typically, the radio is turned on and off with a hardware switch or by using a software utility.


How to Use Bluetooth

Use a Bluetooth Keyboard, Mouse, or Other HID

Listen to Audio from This Computer on Bluetooth Headphones

Play Audio from a Bluetooth Player on This Computer

Use a Bluetooth Headset for Instant Messaging or Telephone Calls

Use a Bluetooth Headset for Voice Playback and Recording

Redirect High-Quality Audio Played on This Computer to the Speakers on the Target Computer

Access Files on Another Bluetooth Device from This Computer

Allow Other Bluetooth Devices to Access Files on This Computer

Use This Computer as a Speakerphone for a Bluetooth Cell Phone

Set Up This Computer to Receive Image Files Sent from a Bluetooth Camera, Cell Phone, or Other Bluetooth Device

Send Files or Folders on This Computer to Another Bluetooth Device

Send Files from Microsoft Office Applications

Send a Web Page from Microsoft Internet Explorer

Send an Image from Microsoft Internet Explorer

Connect to the Internet Using a Bluetooth Telephone, Modem, or Other Bluetooth Device That Offers Dial-up Networking Service

Use the Fax Capabilities of a Bluetooth Telephone, Modem, or Other Remote Bluetooth Device That Offers Fax Service

Make a Network Connection to Another Bluetooth Device or to a Local Area Network (LAN) Using the Network Connection of the Other Device

Exchange Electronic Business Cards with Another Bluetooth Device and Send Other PIM Items to the Other Device

Synchronize the PIM Database on This Computer with the PIM Database of Another Bluetooth Device

Print to a Bluetooth Printer from This Computer

Print from Another Bluetooth Device to a Standard Printer That Is Physically Connected to This Computer

Establish a Virtual Serial Port Connection Between This Computer and Another Bluetooth Device

Respond to Bluetooth Security and Authorization Messages


Use a Bluetooth Keyboard, Mouse, or Other HID

NOTE: Before you begin, refer to the manual that came with your HID for instructions for making the device discoverable.

To use a Bluetooth keyboard, mouse, or other human interface device

  1. Verify that the keyboard, mouse of other human interface device (HID) contains batteries, that the batteries are inserted properly and are fully charged, and that you know where the Connect button is.
  2. From this computer, open My Bluetooth Places.
  3. Click Bluetooth Setup Wizard.
  4. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  5. Click Human Interface Device in the Bluetooth Service Selection list, and then click Next.
  6. Press the Connect button on the keyboard, mouse, or other HID.
  7. When you see the HID icon in Bluetooth Device Selection, click the icon, and then click Next.
  8. If the HID is a keyboard, using the keyboard, type the Bluetooth security code showing in the Bluetooth security code box, and then press ENTER.

    9. -or-

    If the HID is a Bluetooth mouse or other Bluetooth pointing device, use the Bluetooth mouse or other Bluetooth pointing device to click Click here in Confirmation Required.

You can now use the Bluetooth HID.


Listen to Audio from This Computer on Bluetooth Headphones

NOTE: Before you begin, refer to the manual that came with your Bluetooth headphones for instructions for making the headphones discoverable.

To listen to audio from this computer on Bluetooth headphones

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I want to find a specific Bluetooth device and configure how this computer will use its services, and then click Next.
  4. Make the headphones discoverable.
  5. When the BT-Headphones icon is shown in Bluetooth Device Selection, click the BT-Headphones icon, and then click Next.
  6. To pair the headphones with this computer, in Bluetooth Security Setup, type the Bluetooth security code in the Bluetooth security code box, and then click Pair Now.

    7. NOTE: Refer to the manual that came with the headphones for the security code.

  7. Click Finish.
  8. If the headphones are not connected, in Entire Bluetooth Neighborhood, right-click BT-Headphones, and then click Connect Headset.

    9. NOTE: The headphones must be discoverable before you can connect. If you do not connect, make the headphones discoverable and try again.

  9. Start the media player on this computer.

To disconnect the headphones

  1. From this computer, open My Bluetooth Places.

    2. NOTE: If there is a BT-Headphones shortcut in My Bluetooth Places, skip to step 3.

  2. Click View devices in range.
  3. Right-click BT-Headphones, and then click Disconnect Headset.


Play Audio from a Bluetooth Player on This Computer

To play audio from a Bluetooth player on this computer

  1. From this computer, open My Bluetooth Places, and then click Bluetooth Setup Wizard.
  2. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  3. Click Audio Gateway in the Bluetooth Service Selection list, and then click Next.
  4. In the Bluetooth Device Selection list, click the name of the Bluetooth audio player device, and then click Next.

    5. NOTE: If the device you are searching for is not an audio device (such as a computer), click Show all devices in the list to the right of Search Again, and then click Search Again.

  5. The Start the connection check box is selected by default. To accept the default setting and have the connection start automatically, click Finish.

You are now able to play audio from the Bluetooth player on this computer.

To disconnect the audio gateway

  1. From this computer, open My Bluetooth Places.
  2. Right-click the Audio Gateway icon, and then click Disconnect Audio Gateway.


Use a Bluetooth Headset for Instant Messaging or Telephone Calls

To use a Bluetooth headset for instant messaging or telephone calls

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I want to find a specific Bluetooth device and configure how this computer will use its services, and then click Next.
  4. Make the headset discoverable.

    5. NOTE: Refer to the manual that came with the headset for instructions for making the headset discoverable.

  5. In Bluetooth Device Selection. click the Audio Headset icon, and then click Next.
  6. Enable Pairing mode on the headset.

    7. NOTE: Refer to the manual that came with the headset for instructions for enabling Pairing mode and for the security code.

  7. In Bluetooth Security Setup, type the Bluetooth security code in the Bluetooth security code box, and then click Pair Now.
  8. In Bluetooth Service Selection, click Headset, and then click Finish.
  9. In Entire Bluetooth Neighborhood, right-click the Audio Headset icon, and then click Connect Headset.

You are now ready to use your Bluetooth headset while talking on a telephone call or to send or receive instant voice messages over your Internet connection.

NOTES:

· The BTW software sets the audio quality based on the audio characteristics of the audio device.
· You may need to press a button on the headset to answer a call. Refer to the manual that came with the headset for instructions.

To disconnect the headset

  1. From this computer, open My Bluetooth Places.
  2. Right-click the Audio Headset icon, and then click Disconnect Headset.


Use a Bluetooth Headset for Voice Playback and Recording

To use a Bluetooth headset for voice playback and recording

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I want to find a specific Bluetooth device and configure how this computer will use its services, and then click Next.
  4. Make the headset discoverable.

    5. NOTE: Refer to the manual that came with the headset for instructions for making the headset discoverable.

  5. In Bluetooth Device Selection. click the Audio Headset icon, and then click Next.
  6. Enable Pairing mode on the headset.

    7. NOTE: Refer to the manual that came with the headset for instructions for enabling Pairing mode and for the security code.

  7. In Bluetooth Security Setup, type the Bluetooth security code in the Bluetooth security code box, and then click Pair Now.
  8. In Bluetooth Service Selection, click Headset, and then click Finish.
  9. Click View devices in range.
  10. In Entire Bluetooth Neighborhood, right-click the Audio Headset icon, and then click Connect Headset.
  11. In Bluetooth Audio Notice click OK.

You can now open your audio software application and begin using your Bluetooth audio headset.

NOTE: The BTW software sets the audio quality based on the audio characteristics of the audio device.

To disconnect the headset

  1. From this computer, open My Bluetooth Places.
  2. Right-click the Audio Headset icon, and then click Disconnect Headset.


Redirect High-Quality Audio Played on This Computer to the Speakers on the Target Computer

In the following instructions, this computer refers to the computer running the media player, and the target computer refers to the computer to which the high-quality audio is to be redirected.

To redirect high-quality audio played on this computer to the speakers on the target computer

  1. Open My Bluetooth Places on this computer.
  2. Click View devices in range.

    3. NOTE: It may be necessary for you to click Search for devices in range one or more times to discover the target computer.

  3. Click the name of the target computer, and then click Discover services.
  4. Right-click the Headset service, and then click Connect Stereo Headphones.
  5. Start the media player on this computer.

    6. NOTE: If the Headset service on the target computer requires a secure connection, you must respond to the Bluetooth security and authorization messages that appear in the notification area of each computer (see Respond to Bluetooth Security and Authorization Messages).

To discontinue redirecting high-quality audio from this computer to the target computer

  1. Open My Bluetooth Places on this computer.
  2. Click View devices in range.
  3. Right-click the name of the target computer, and then click Disconnect Stereo Headphones.


Access Files on Another Bluetooth Device from This Computer

To access files on another Bluetooth device from this computer

  1. If the other Bluetooth device is not another Bluetooth computer, enable the File Transfer service on the other device (refer to the manual that came with the other Bluetooth device for instructions).
  2. From this computer, open My Bluetooth Places.
  3. Click Bluetooth Setup Wizard.
  4. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  5. Click File Transfer in the Bluetooth Service Selection list, and then click Next.
  6. In Bluetooth Device Selection, click the name of the other device, and then click Next.

    7. NOTE: If the Secure connection property of the File Transfer service of the other device has been set, type the security code you want to use in the Bluetooth security code box, and then click Pair Now. The operator of the other device must know the security code and must be available to respond to the Bluetooth Security Code request sent by this computer (see Respond to Bluetooth Security and Authorization Messages). Otherwise, the pairing process fails. After the two device are paired, you can access the files on the other device without having to be granted access permissions.

  7. Click Finish.

You can now access the files in the Bluetooth Exchange Folder of the other Bluetooth device. To do so, in My Bluetooth Places, double-click the File Transfer shortcut to open the Bluetooth Exchange Folder on the other Bluetooth device.


Allow Other Bluetooth Devices to Access Files on This Computer

To allow other Bluetooth devices to access files on this computer

  1. From this computer, open My Bluetooth Places.
  2. Click View my Bluetooth services.
  3. Right-click My File Transfer, and then click Properties.
  4. On the General tab, specify how you want the File Transfer service to start. By default, the Startup automatically check box is selected. If you prefer to manually start the service, clear the check box.
  5. To require the use of a security code to connect to this service and to encrypt Bluetooth transmitted data, select the Secure connection check box. If you prefer not to require the use of a security code and to not encrypt data, do not select the checkbox.
  6. Specify remote user access permissions by selecting either, both, or none of the Remote users may modify read-only files and folders and Remote users may access hidden files or folders check boxes.

    7. NOTE: To specify a different location than the default location where the File Transfer service will save files, click Browse.

  7. To specify if or how you want to be notified when another Bluetooth device access the files on this computer, click the Notifications tab, and then select either the Do not provide notification check box, or either or both of the Visual notification and Audio notification check boxes.
  8. Click OK to save your settings.

Other Bluetooth devices can now access the files in your Bluetooth Exchange Folder.

NOTE: If you set the Secure connection property of the File Transfer service of this computer, you must be available to respond to the Bluetooth Security Code Request sent by the other device when the other device initially attempts to connect to this computer (see Respond to Bluetooth Security and Authorization Messages). Otherwise, the pairing process fails. After the two device are paired, the other device can access the files on this computer without having to obtain access permissions.


Use This Computer as a Speakerphone for a Bluetooth Cell Phone

To use this computer as a speakerphone for a cell phone

  1. Open My Bluetooth Places, and then click Bluetooth Setup Wizard.
  2. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  3. Click Audio Gateway in the Bluetooth Service Selection list, and then click Next.
  4. In the Bluetooth Device Selection list, click the Cell Phone icon, and then click Next.
  5. Click Finish.

You can now use this computer as a speakerphone for the cell phone.


Set Up This Computer to Receive Image Files Sent from a Bluetooth Camera, Cell Phone, or Other Bluetooth Device

To set up this computer to receive image files sent from a Bluetooth camera, cell phone, or other Bluetooth device

  1. Open My Bluetooth Places.
  2. Click View or modify configuration.
  3. Click the Local Services tab.
  4. Click Bluetooth Imaging in the list of services, and then click Properties.
  5. Verify that the Startup automatically check box is selected.

You can now receive image files. Refer to the manual that came with your Bluetooth camera, cell phone, or other Bluetooth device for instructions on how to send image files to a Bluetooth-enabled computer. The received files are stored in the Bluetooth Exchange Folder on this computer.


Send Files or Folders on This Computer to Another Bluetooth Device

To send files on this computer to another Bluetooth device

  1. Verify that File Transfer service is enabled on the target Bluetooth device (see Access Files on Another Bluetooth Device from This Computer).
  2. In Windows Explorer, open the folder where the file you want to send is located.
  3. Right-click the file name, point to Send To, point to Bluetooth, and then click the name of the target Bluetooth device.

To send folders on this computer to another Bluetooth device

  1. Open My Bluetooth Places.
  2. Click View devices in range.
  3. Open Windows Explorer and browse to where the folder you want to send is located.
  4. Copy or drag-and-drop the folder to the target device name in Entire Bluetooth Neighborhood.

    5. NOTE: When you send folders to another Bluetooth device, If the Secure connection property of the File Transfer service of the other Bluetooth device has been set, the operator of the other Bluetooth device must available to allow access unless the Always allow this device access to my computer's File Transfer service check box in Bluetooth File Transfer Authorization is selected. Otherwise, the file transfer fails.

The sent files or folders are located in the Bluetooth Exchange Folder on the target Bluetooth device.


Send Files from Microsoft Office Applications

To send a file from a Microsoft Office application

  1. From this computer, start the Microsoft Office application.
  2. Open the file you want to send.
  3. From the File menu, point to Send To, point to Bluetooth, and then click the name of the target device.

    4. -or-

    Click Other, click the device name in the Select Device list, and then click OK.


Send a Web Page from Microsoft Internet Explorer

To send a web page from Microsoft Internet Explorer

  1. Open Internet Explorer and browse to the web page you want to send.
  2. Click the Send To Bluetooth icon on the toolbar.
  3. Follow the instructions in the Send To Bluetooth Wizard.


Send an Image from Microsoft Internet Explorer

To send a selected image from Microsoft Internet Explorer

  1. Right-click the image to be transferred, and then click Send To Bluetooth Device.
  2. In Select Device, click the device name, and then click OK.


Connect to the Internet Using a Bluetooth Telephone, Modem, or Other Bluetooth Device That Offers Dial-up Networking Service

To connect to the Internet using a Bluetooth telephone, modem, or other Bluetooth device that offers dial-up networking service

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. Click Dial-up Networking in the Bluetooth Service Selection list, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device you want to connect with, and then click Next.
  6. Click Finish.
  7. If your mobile service operator requires you to supply your user name and password, type them in the spaces provided.
  8. Type the number of your Internet service provider in the Dial box, and then click Dial.

    9. NOTE: For typical GPRS connections, you can normally leave the User name and Password boxes blank and use 99# as a phone number.

  9. Respond to the authorization messages that appear on the remote device.

To disconnect the dial-up networking connection

  1. From this computer, open My Bluetooth Places.

    2. NOTE: If there is a Dial-up Networking shortcut in My Bluetooth Places, skip to step 4.

  2. Click View devices in range.
  3. Double-click the name of the device you established a dial-up networking connection with.
  4. Right-click Dial-up Networking, and then click Disconnect Dial-up Networking.


Use the Fax Capabilities of a Bluetooth Telephone, Modem, or Other Remote Bluetooth Device That Offers Fax Service

To use the fax capabilities of a Bluetooth telephone, modem, or other remote Bluetooth device that offers fax service

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the device I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. In Bluetooth Service Selection, click Fax, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device having fax capabilities, and then click Next.
  6. Click Finish.

To disconnect the fax

  1. From this computer, open My Bluetooth Places.

    2. NOTE: If there is a Fax shortcut in My Bluetooth Places, skip to step 4.

  2. Click View devices in range.
  3. Double-click the name of the device you established a fax connection with.
  4. Right-click Fax, and then click Disconnect Fax.


Make a Network Connection to Another Bluetooth Device or to a Local Area Network (LAN) Using the Network Connection of the Other Device

To make a network connection to another Bluetooth device or to a local area network (LAN) using the network connection of the other device

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. Click Network Access in the Bluetooth Service Selection list, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device you want to connect with, and then click Next.

To disconnect network access

  1. From this computer, open My Bluetooth Places.

    2. NOTE: If there is a Bluetooth Serial Port shortcut in My Bluetooth Places, skip to step 4.

  2. Click View devices in range.
  3. Double-click the device you established a network access connection with.
  4. Right-click Network Access, and then click Disconnect Network Access.


Exchange Electronic Business Cards with Another Bluetooth Device and Send Other PIM Items to the Other Device

To exchange electronic business cards with another Bluetooth device and send other PIM items to another Bluetooth device

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. Click PIM Item Transfer in the Bluetooth Service Selection list, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device you want to connect with, and then click Next.
  6. Double-click the PIM Item Transfer shortcut in My Bluetooth Places.
  7. In Select a Bluetooth Business Card, click the PIM that contains the business card(s) you want to send.
  8. Click the contact name(s) in the list, and then click OK.

If Microsoft Outlook is selected as the Received Business Cards location in Bluetooth Properties, the contact file is sent to Microsoft Outlook Contacts. If Save to Folder is selected, the business card(s) is sent to the Bluetooth Exchange Folder.

NOTE: If the Secure connection property of the PIM Transfer service is set on either device, the receiving party must be available to allow access when an access request is received. Otherwise, the PIM transfer fails.


Synchronize the PIM Database on This Computer with the PIM Database of Another Bluetooth Device

To synchronize the PIM database on this computer with the PIM database of another Bluetooth device

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. Click PIM Synchronization in the Bluetooth Service Selection list, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device you want to synchronize PIM databases with, and then click Next.
  6. Click Finish.
  7. Right-click the PIM Synchronization shortcut in My Bluetooth Places, and then click Properties.
  8. Under Synchronization, click the PIM you want to synchronize (if any) in each of the data type lists.
  9. Double-click the PIM Synchronization shortcut in My Bluetooth Places.


Print to a Bluetooth Printer from This Computer

To print to a Bluetooth printer from this computer

  1. Refer to the manual that came with your printer to verify that the printer is Hardcopy Cable Replacement Profile compatible and to see what the Bluetooth security code or passkey is.
  2. Turn on the Bluetooth printer.
  3. From this computer, open My Bluetooth Places.
  4. Click I want to find a specific Bluetooth device and configure how this computer will use its services, and then click Next.
  5. In Bluetooth Device Selection, click the name of the Bluetooth printer you want to print to, and then click Next.

    6. NOTE: If several printers are listed and you are not sure which one is yours, check the serial number printed on the label on the bottom of the printer, and then select the printer having a matching serial number. The serial number is displayed when you move the mouse pointer over the printer icon.

  6. Type the Bluetooth security code in the Bluetooth security code box, and then click Pair Now.

    7. NOTE: Refer to the manual that came with your Bluetooth printer for the Bluetooth security code for the printer.

  7. In Bluetooth Service Selection, verify that the Hardcopy Cable Replacement checkbox is selected. If it is, click Finish. If it is not, click the check box to select it, and then click Finish.
  8. Follow the instructions provided by the Add Printer Wizard.

    9. NOTE: The printer drivers for the printer must either be on the computer system, or you must have the drivers available on a CD.

  9. In Properties, click OK to accept the default settings, or change the settings and then click OK.

You are now able to print from this computer to the Bluetooth printer.


Print from Another Bluetooth Device to a Standard Printer That Is Physically Connected to This Computer

To print from another Bluetooth device to a standard printer that is physically connected to this computer

  1. Verify that the local printer is physically connected to this computer by a cable, is set as the default printer, and is turned on.
  2. From this computer, open My Bluetooth Places.
  3. Click View My Bluetooth services.
  4. Right-click My Printer, and then click Enable.
  5. Refer to the manual that came with your Bluetooth device for instructions on how to print to another Bluetooth device.

    6. -or-

    If you are using a Bluetooth enabled computer, see Print to a Bluetooth Printer from This Computer.

    NOTE: If the Secure connection property for the printer has been set on either computer, the operators of both computers must be available to allow access and to supply the Bluetooth security code when requested (see Respond to Bluetooth Security and Authorization Messages). Thereafter, access is granted automatically and it is not necessary to supply the security code.


Establish a Virtual Serial Port Connection Between This Computer and Another Bluetooth Device

To establish a virtual serial port connection between this computer and another Bluetooth device

  1. From this computer, open My Bluetooth Places.
  2. Click Bluetooth Setup Wizard.
  3. Click I know the service I want to use and I want to find a Bluetooth device that provides that service, and then click Next.
  4. Click Bluetooth Serial Port in the Bluetooth Service Selection list, and then click Next.
  5. In Bluetooth Device Selection, click the name of the device you want to connect with, and then click Next.
  6. Click Finish.

The operator of the remote device must be available to respond to any authorization requests (see Respond to Bluetooth Security and Authorization Messages) that are sent from this computer. Note the COM port name that is associated with the connection and configure applications to use that port.

NOTE: Unless you have a specific reason to do so, do not change the default COM port setting.

To disconnect the virtual serial port connection between this computer and a remote Bluetooth device

  1. From this computer, open My Bluetooth Places.

    2. NOTE: If there is a Bluetooth Serial Port shortcut in My Bluetooth Places, skip to step 4.

  2. Click View devices in range.
  3. Double-click the device you established a wireless serial connection with.
  4. Right-click Bluetooth Serial Port, and then click Disconnect Bluetooth Serial Port.


Respond to Bluetooth Security and Authorization Messages

To respond to Bluetooth security messages

When a secure connection between two Bluetooth devices is being attempted, a PIN code request may appear in the notification area of either or both devices. If this request is ignored, the connection attempt fails. To allow a secure connection to proceed, click anywhere in the Bluetooth PIN Code Required message. Then type the security code in the Bluetooth security code box and click OK. If the remote device has a fixed PIN code, type that PIN code in the Bluetooth security code box. Otherwise, select a string of random alphanumeric characters and type them exactly the same in the Bluetooth security code box on both devices.

To respond to Bluetooth authorization messages

When a remote Bluetooth device attempts to connect to a secure service on this computer, this computer receives an authorization request that appears in the notification area. To allow access to the service, click anywhere in the Bluetooth Authorization Requested message, and then click OK in Bluetooth Service Authorization.


Specifying How Bluetooth Technology Works on Your Computer

Assigning a Name and Type to This Computer

Providing Access to Other Bluetooth Devices

Discovering Devices

Setting Security

Managing Bluetooth Devices and Services

Managing Local Bluetooth Radios


Assigning a Name and Type to This Computer

The name you assign to this computer is displayed to other Bluetooth devices when this computer is set to be discoverable (see Providing Access to Other Bluetooth Devices). The default name is the name assigned by the operating system. The Computer type setting determines the type of icon (see Status of Devices and Services) that is used to represent this computer to other Bluetooth devices (see Status of Devices and Services).

To change the computer name or type

  1. Open My Bluetooth Places.
  2. Click View or modify configuration.
  3. In Bluetooth Configuration, click the General tab and make the changes in the spaces provided.


Providing Access to Other Bluetooth Devices

You can specify if you want to allow other Bluetooth devices to discover this computer. Also, you can specify whether to allow all or none of the devices that discover this computer to connect, or to allow only those devices that you designate to connect. The devices that you designate must be within range, and must themselves be discoverable. Also, you can specify the type of audio notification (if any) you want to receive in addition to a visual notification when another Bluetooth device requests a Bluetooth security code.

NOTE: If you later clear the Let other Bluetooth devices discover this computer check box, devices that have previously connected to this computer can still do so.

To specify which Bluetooth devices to allow to discover and connect to this computer

  1. Open My Bluetooth Places.
  2. Click View or modify configuration.
  3. In Bluetooth Configuration, click the Accessibility tab and make the access settings you prefer in the spaces provided.

    4. NOTE: To prevent this computer from being discovered, clear the Let other Bluetooth devices discover this computer check box.


Discovering Devices

You can set this computer to automatically look for other Bluetooth devices at a specific time interval. Also, you can limit the search to specific devices, classes of devices, or types of devices within a class. If you limit the search to specific devices, the devices must be within range, and must themselves be discoverable.

To specify which Bluetooth devices to look for and how often

  1. Open My Bluetooth Places.
  2. Click View or modify configuration.
  3. In Bluetooth Configuration, click the Discovery tab and make the access settings you prefer in the spaces provided.

    4. NOTE: To prevent this computer from automatically looking for other Bluetooth devices, clear the Look for other Bluetooth devices check box.


Setting Security

By default, the properties of all Bluetooth services that this computer provides and the Bluetooth applications (except Human Interface Device) that this computer uses are set to require a secure connection. When the Secure connection property is set, and this computer tries to connect to another Bluetooth device, the two devices must exchange a Bluetooth security code. This procedure positively identifies the device you want to connect to. After the exchange, the two Bluetooth devices are allowed to encrypt data.


Managing Bluetooth Devices and Services

Bluetooth services are used to carry out actions between a program installed on your computer and a remote Bluetooth device. A Bluetooth device can offer one or more services. The following table describes the services (Local Services) and programs (Client Applications) available on this computer for various Bluetooth actions:

Bluetooth Action
Local Service Function
Client Application Function
Audio Gateway
Redirects audio from this computer to another Bluetooth device
Redirects audio on another Bluetooth device to this computer
Bluetooth Imaging
Receives image files sent from other Bluetooth devices
Sends image files to another Bluetooth device
Bluetooth Serial Port
Allows other Bluetooth devices to establish a wireless serial connection with this computer
Allows this computer to establish a wireless serial connection with another Bluetooth device
Dial-up Networking
Allows other Bluetooth devices to use the modem on this computer to access the Internet or a remote network
Allows this computer to connect to another Bluetooth device to access the Internet or a remote network
Fax
Allows other Bluetooth devices to use the fax modem on this computer to send a fax
Allows this computer to connect to another Bluetooth device to send a fax from this computer
File Transfer
Allows other Bluetooth devices to explore the Bluetooth Exchange Folder on this computer and to send files to or copy files from that folder.
Explore, send files to, or copy files from another Bluetooth device
Headset
Redirects the audio from another Bluetooth device to this computer
Redirects the audio from this computer to another Bluetooth device
Network Access
Allows other Bluetooth devices to create a private network with this computer or to access a local area network (LAN) through this computer
Allows this computer to access a LAN or connect to the Internet through another Bluetooth device
PIM Item Transfer
Sends and receives Personal Information Manager (PIM) items (business cards, and e-mail messages, for example) between this computer and another Bluetooth device
Sends PIM items (business cards, and e-mail messages, for example) to another Bluetooth device or exchanges business cards with another Bluetooth device.
PIM Synchronization
Synchronizes the PIM database of this computer with that of another Bluetooth device
Synchronizes the PIM database of this computer with that of another Bluetooth device
Printer
Allows other Bluetooth devices to print to a printer that is connected to this computer
Allows this computer to print to a Bluetooth printer
Human Interface Device
-
Allows this computer to use a Bluetooth HID

For specific detailed instructions on using Bluetooth devices and services, see How to Use Bluetooth.

To manage your Bluetooth devices and services

  1. Open My Bluetooth Services.
  2. Click View or modify configuration.

From the Local Services tab of Bluetooth Configuration, you can select the services that this computer provides to other Bluetooth devices and set the properties for that service. By default, all Local Services are set to start automatically, to require a secure connection, and to require both visual and audio notification when a remote device attempts to connect to that service.

To set the properties for a service, click the service name, and then click Properties.

  • From the General tab, you can set or clear the Secure connection property and the Start up automatically property for that service.
  • From the Notifications tab, you can specify if and how you want to be notified.

From the Client Applications tab of Bluetooth Configuration, you can specify how this computer accesses services on other Bluetooth devices and set or clear the Secure connection property for that application. By default, all Client Applications except HID are set to require a secure connection.

To set the properties for an application, click the application name, and then click Properties. From the General tab, you can set or clear the Secure connection property. For certain applications, such as PIM Synchronization, File Transfer, PIM Item Transfer, and Dial-up Networking, you can make other settings that affect how the application functions.


Managing Local Bluetooth Radios

From the Hardware tab, you can manage the Bluetooth devices (radios) that are installed on this computer. Also, you can view the following information about each radio:

Devices

  • Name
  • Status
· Active (Preferred)
· Inactive
· Disabled
  • Type

Device Properties

  • Device status - Indicates that the device is operating properly, or that there is a problem/conflict
  • Manufacturer - The company that manufactured the device
  • Firmware Revision - The manufacturer's firmware version number
  • Device Address - The Bluetooth Device Address assigned to this device when it was manufactured
  • HCI Version - The version number of the Bluetooth specification with which the Host Controller Interface complies
  • HCI Revision - The revision number of the Bluetooth specification with which the Host Controller Interface complies
  • LMP Version - The version number of the Bluetooth specification with which the Link Manager Protocol complies
  • LMP Sub-version - The sub-version number of the Bluetooth specification with which the Link Manager Protocol complies

    • NOTES:

· Only one Bluetooth radio can be used at a specific time.
· If you change the Bluetooth radio device, you must redo pairing with other Bluetooth devices.

To manage the Bluetooth radio devices that are installed on this computer

  1. Open My Bluetooth Places.
  2. Click View or modify configuration, and then click the Hardware tab.

To query the active radio and update the data displayed in Device Properties, click Refresh.

To disable or enable a particular Bluetooth radio device, click the name of the device, and then click either Disable, or Enable, as appropriate.

To specify which Bluetooth radio device you prefer to use, click the name of the device, and then click Set Preferred.

NOTES:

· If you enable a radio device, and another radio is set as Active (Preferred), the status of the enabled device is automatically set to Inactive, which means that it is available for use, but it is not the preferred device.
· If you enable a radio device, and no other radio device has been set to Active (Preferred), the status of the enabled device is automatically set to Active.
· When a radio is plugged in or unplugged while the Bluetooth Configuration panel is open, click Refresh to update the information displayed.
· If you do not intend to use a device, disable it to conserve battery power.


Troubleshooting

Problem or Symptom
Possible Solution
I cannot connect to a paired device that is listed in Entire Bluetooth Neighborhood
· Check to see if the device is powered on, in range, and in Discoverable mode (refer to the manual that came with the device for instructions for making the device discoverable). Devices that you have paired with are listed in Entire Bluetooth Neighborhood regardless of whether they are powered on, in range, or in Discoverable mode.
· Check to see if the device Bluetooth radio is turned on (refer to the manual that came with the device for instructions). If the other device is a Bluetooth computer, check the appearance of the Bluetooth icon in the notification area (see Using Bluetooth Tools).
The device I want to connect to is not listed in Entire Bluetooth Neighborhood
Check to see if the device is powered on, in range, and in Discoverable mode. See Finding Bluetooth Devices.
I cannot print to the Bluetooth printer from this computer
· If you have printed to the printer before, verify that the printer is in range, is powered on, is not malfunctioning, and is still paired with this computer.
· If you have not printed to the printer before, did you install the printer? If not, install the printer according to the instructions provided in Print to a Bluetooth Printer from This Computer. If you did install the printer, verify that the procedure you followed matches the instructions.
I cannot print Print from another Bluetooth computer to a standard printer that is physically connected to this computer
· If you have printed to the printer before, verify that you are in range of and paired with this computer, that both the printer and this computer are powered on, that the printer is not malfunctioning, and that the printer is the default printer for this computer.
· If you have not printed to the printer before, did you install the printer on your computer as specified in Print from Another Bluetooth Device to a Standard Printer That Is Physically Connected to This Computer? If not, follow these instructions and try again.
I cannot send a fax using the fax capabilities of a Bluetooth telephone, modem, or other device that offers fax service.
The device offering the fax service may be set to use another device instead of the fax modem.
I cannot adjust the headphone volume.
· Check to see if the volume on the headphones is set to minimum.
· Adjust the volume using the volume control on the media player rather than the master volume control on the computer.
I cannot communicate with a cell phone or reconnect to a cell phone.
Verify that the cell phone is in Discoverable mode, is in range, and that the Bluetooth radio is turned on. See Finding Bluetooth Devices.